Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#25334 - [krusader] new dependencies

Attached to Project: Arch Linux
Opened by Darek (blablo) - Sunday, 31 July 2011, 08:40 GMT
Last edited by Andrea Scarpino (BaSh) - Friday, 05 August 2011, 09:46 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andrea Scarpino (BaSh)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
Please add new dependencies to the package.
Without installing kdebase-kwrite can not use the Internal editor (KrViewer) in krusader.

Additional info:
krusader 2.4.0beta1-3
kde 4.7


Steps to reproduce:
Install krusader without kdebase-kwrite in your system
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Friday, 05 August 2011, 09:46 GMT
Reason for closing:  Fixed
Additional comments about closing:  added kdebase-kwrite as optdepends in krusader 2.4.0beta1-4
Comment by Andrea Scarpino (BaSh) - Tuesday, 02 August 2011, 09:08 GMT
<quote>
Steps to reproduce:
Install krusader without kdebase-kwrite in your system
</quote>

ok, then what? I don't use krusader, please explain how to reproduce this.

Also, krusader starts without kdebase-kwrite, this will be an optdepends if needed.
Comment by Darek (blablo) - Tuesday, 02 August 2011, 09:42 GMT
Install krusader without kdebase-kwrite in your system and then try to edit or viev (F4 or F3 shortcut), a txt file (symptoms - nothing happens).

<quote>
Also, krusader starts without kdebase-kwrite, this will be an optdepends if needed.
</quote>

To run krusader does not need kdebase-kwrite (only if you want to use the Internal editor)
Comment by Andrea Scarpino (BaSh) - Tuesday, 02 August 2011, 10:11 GMT
I tried without kdebase-kwrite and it works using calligra-words. I removed calligra-words and it still works.
I guess the dependence is kdebase-workspace here.
Comment by Darek (blablo) - Tuesday, 02 August 2011, 10:48 GMT
interesting observation
I can not find this package in the repo (I found only http://www.calligra-suite.org/get-calligra/ page). Are you using KOffice.
I ask because krusader uses libraries from kde and koffice can be provided is something that can run internal editor without kdebase-kwrite???

I found this (http://www.krusader.org/handbook/krviewer.html):
Note

The embedded viewer is not written by us, it is supplied via KDE (libs) and KIO Slaves We cannot and do not want to change it, usings these libraries reduces the amount of written code. So we do not have to reinvent the wheel ;-)



Kdebase-kwrite uninstalled and still the same (I have installed kdebase-workspace)
Comment by Andrea Scarpino (BaSh) - Tuesday, 02 August 2011, 10:59 GMT
calligra packages are in the [kde-unstable] repository, is the continuation of KOffice.

Probably I've many KDE libraries installed on my system.
Can you send a mail to their mailing list to know which KDE modules they are using? I could send it too, but I cannot reproduce your problem and I should mail you everytime they ask something to me :)
Comment by Darek (blablo) - Tuesday, 02 August 2011, 11:21 GMT
I understand:)
I will try
Comment by Darek (blablo) - Tuesday, 02 August 2011, 12:29 GMT
I decided to google first:)
and I found this:

http://www.krusader.org/handbook/faq.html#id614052
Krusader requirements on Ubuntu (http://packages.ubuntu.com/natty/krusader)

I hope something will help you, if not then I will write to their mailing list


Comment by Andrea Scarpino (BaSh) - Tuesday, 02 August 2011, 15:43 GMT
If you look at http://www.krusader.org/handbook/compilation.html page there is a kdebase-bin package listed which, on Debian distributions, contains some konqueror, kdialog and keditbookmarks module, but no kwrite modules.
Comment by Darek (blablo) - Tuesday, 02 August 2011, 17:19 GMT
Below output from command 'pacman -Q | grep kde' on my system:
kdeartwork-styles 4.7.0-1
kdebase-lib 4.7.0-1
kdebase-runtime 4.7.0-1
kdebase-workspace 4.7.0-2
kde-l10n-pl 4.7.0-1
kdelibs 4.7.0-1
kdemultimedia-kioslave 4.7.0-1
kdepimlibs 4.7.0-2
kdepim-runtime 4.7.0-1
kdeutils-kcalc 4.7.0-1
polkit-kde 0.99.0-1

I have these packages installed for some time, and before update to kde 4.7 edit/view functionality worked fine. After update it broke.

I don't know whether it is bug in kdelibs, arch kde packaging or krusader (last update of krusader was in June).

Maybe the right solution is to add kdebase-kwrite as optional dependency - it's up to you.
Comment by Andrea Scarpino (BaSh) - Friday, 05 August 2011, 09:31 GMT
Our kdebase-kwrite 4.7 package includes the KTextEditor interfaces (splitted by upstream from kdelibs 4.6), but I don't explain why it works for me without kwrite. I'll add it as optdepends.

Loading...